XBMC on Acer Revo 3610 & Windows 7

  Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
bodhi Offline
Fan
Posts: 433
Joined: Sep 2010
Reputation: 1
Post: #121
Hey Pat,

Glad I can help Cool we should find a HD-audio capable media player SW to verify this. Also, I've noticed that there is an audio configuration that allows you to set the speakers configuration to 2.1, 5.1, 7.1,... and run a level test. Try that to see if you can find out any thing interesting. My HT setup is 5.1 so I can't test the 7.1 configuration (I usually test the speakers level by running the Onkyo receiver setup menu test anyway, so don't know what the Revo will do).

bodhi
(This post was last modified: 2011-08-29 10:35 by bodhi.)
find quote
PatrickBateman Offline
Posting Freak
Posts: 1,675
Joined: Mar 2011
Reputation: 17
Location: Another Earth
Post: #122
Hey,

Yea I'll test it out using ffdshow and MPC-HC as that should pass through HD audio.. Nod

I've got a 7.1 Setup, however I don't use the DD/DTS specified 7.1 configuration. I use 7.1 front wide surround which adds an additional wide left and wide right Channel. This is great for movies however as it's not a specific 7.1 DD/DTS configuration (its basically audessy dsx) I'm not sure how 7.1 content will work with that configuration.

I could just connect my front wides to my actual 7.1 rear surround channel (I don't do this due to restricted space behind my listening position) and test it that way to ensure the sound is emitted through the speakers, but ill just pump the singnal in and see what the amp says on thefront as that's easier option.

One question that raises it's head here though...

In xbmc video/audio settings there is an option for audio out put, number of speakers etc and DD/DTS pass though. In the speaker config I currently have it set to 5.1... Now, from what I have read, I believe what this does is that any connect ABOVE 5.1 will be "down mixed" to 5.1....... So, does that mean that I should set this to 7.1 to ensure xbmc does not try to down mix and of my audior is that a non issue? Frown

I'll also try the level test and report back, I did try the 2.0 and 5.1 earlier which worked fine, but imnever tried the 7.1 as after reading a few forums I decided it was best to leave this on stereo and set the audio to pass through. I'll test 7.1 now and see if it works, but as I mentioned earlier, I use a 7.1 front wide surround mode which is not technically a DTS or DD authorised configuration so I'm not sure how this will work with my setup Eek

From what ive read, the nightlys are supposed to pass through 7.1 PCM and hd audio so I'm hoping that when Eden arrives we will be able to use this revo a bit longer and continue with so e nice HD audio ... That would be a nice extra treat for what was a very cheap HTPC Nod

Cheers bro and again I genuinely appreciate the response, that particular issue was bugging me soooooooo much and I literally was up u til 4am many nights trying to fix it, no one seemed to know or be able to verify the same settings and them "BAM" there you were! Cool
find quote
bodhi Offline
Fan
Posts: 433
Joined: Sep 2010
Reputation: 1
Post: #123
Cool Let us know your testing result.

One important note about HD Audio from what I've learned, in case you're not aware: currently, I believe only Dolby True HD format is bit-streamed from the Revo 3610 to capable receivers. DTS-MA format is not bit streamed entirely, only the DTS core part. So the DTS-MA bug will not lighted up, but the Dolby True HD bug should.

Regarding 5.1 speaker config, that's what XBMC 10.1 does when I played a Dolby True HD file. It can play, but always down mix it. So I don't think we can force it if we set the speaker configuration to be 7.1, it still outputs 5.1.
find quote
PatrickBateman Offline
Posting Freak
Posts: 1,675
Joined: Mar 2011
Reputation: 17
Location: Another Earth
Post: #124
Cool Cool

I'll try a Dolby True HD file and report back (just need to find one) I'll down load a test file from the do,by site if they have one and play it via ffd and mpc.

I've set my speaker config to 7.1 anyway Confused Not sure what it should be (posted in general for advice) but not expecting any response as it's a very particular issue to me and most people probably won't know the answer...

I have 7.1 speakers on my system and it's set to wide surround (FWL/FL/C/FR/FWR) (RL/RR) (Sub) and I play 7.1 movies and xbmc specifically asks me how many speakers I have so I gave it a very accurate answer Laugh

If DTS core can only be passed then I suppose that's a shame, but if true hd is available then that's a bonus.. From all the reading I've been doing it has to be said, that a huge amount of people state the difference between core and MA is minimal to say the least... But it's nice to know we can pass it if we want To Nod

I'll keep you posted and cheers for the heads up Big Grin
find quote
jmpa Offline
Member
Posts: 77
Joined: Oct 2010
Reputation: 0
Post: #125
I have a acer revo 3610 (ION) and i use xbmc at some time ago and it runs well. Yesterday i update xbmc to eden beta 2 and update nvidia ion drives. Today i saw on movie mkv 720p and it stutter more than usual. I saw on "o key" saying 119 drops.. Thats normal? I have DXVA2 on, render method "auto detect" and "ajust display refresh rate to match video". On nvidia drives i have 60 Hz...

What are the best setup for xbmc and nvidia drives?

Thks
find quote
PatrickBateman Offline
Posting Freak
Posts: 1,675
Joined: Mar 2011
Reputation: 17
Location: Another Earth
Post: #126
Make sure you uncheck "run in a full screen window instead of full screen"

That should sort it Smile
find quote
Chrisballuk Offline
Donor
Posts: 13
Joined: Feb 2011
Reputation: 0
Post: #127
PatrickBateman Wrote:Make sure you uncheck "run in a full screen window instead of full screen"

That should sort it Smile
Found this out the hard way after weeks of stuttering video
find quote
jmpa Offline
Member
Posts: 77
Joined: Oct 2010
Reputation: 0
Post: #128
Ok thanks, i will try Big Grin

Btw, do u recomend change something in BIOS? The ion is a little slow in movies menus comparing to my another pc...
find quote
PatrickBateman Offline
Posting Freak
Posts: 1,675
Joined: Mar 2011
Reputation: 17
Location: Another Earth
Post: #129
These are good starting points,

Set gpu memory from 256 or auto to 512 in the bios.

Use an efficient skin such as cirrus extended or refocus.

Use true full screen NOT a full screen window.

Disable "auto update" and "notification" for Addons on the Addons menu. This literally solved all my stuttering on my menus (just check them manually)

Disable multiple wallpapers on the home screen or set 1 default wallpaper for all sections of the home screen.

Disable video playing in back ground.

I too own a revo and its now flawless in terms of speed and functionality when following these steps... You don't have to do them all, but I do these and more (suh as disable weather, disable rss, disable visulisation, disable weather canary and changing fanatt on home etc but I only use my xbmc for video watching so I personally don't care for these other features, ymmv) Smile

Hope that helps in some way...
find quote
jmpa Offline
Member
Posts: 77
Joined: Oct 2010
Reputation: 0
Post: #130
I format my revo 3610 and installed xbmc beta 2 and video keep stutter a little.. Some drops... I am almost sure eden beta 1 or dharma works much better than eden beta 2...


EDIT - Thanks PatrickBateman now it is playing well, no framedrops Big Grin Big Grin
(This post was last modified: 2012-01-29 17:51 by jmpa.)
find quote
PatrickBateman Offline
Posting Freak
Posts: 1,675
Joined: Mar 2011
Reputation: 17
Location: Another Earth
Post: #131
jmpa Wrote:I format my revo 3610 and installed xbmc beta 2 and video keep stutter a little.. Some drops... I am almost sure eden beta 1 or dharma works much better than eden beta 2...


EDIT - Thanks PatrickBateman now it is playing well, no framedrops Big Grin Big Grin

Your welcome, now go have some fun watching movies Big Grin
find quote
stopdatrue Offline
Junior Member
Posts: 6
Joined: May 2010
Reputation: 0
Post: #132
To have cpufreq scaling working on ubuntu, use this script to patch p4-clockmod.ko:

#/bin/sh

kv=$( uname -a | awk '{ print $3 }')
module="/lib/modules/$kv/kernel/drivers/cpufreq/p4-clockmod.ko"
if [ ! -e "$module" ] ; then
echo "Module $module not found"
fi

echo "Search pattern"
l=$( xxd -c 1 ${module} | awk '{ i++; a=b; b=c; c=d ; d=$2; if (a == "81" && b == "96" && c == "98" && d == "00") print i-3; }')
if [ "$?" != "0" ] ; then
exit 1
fi

if [ -z "$l" ] ; then
echo "Pattern not found"
exit 1
fi

xxd -c 1 $module | awk -v l=$l '{ i++; if (i == l) { print $1 " 40 ." } else if (i == l+1) { print $1 " 42 ." } else if (i == l+2) { print $1 " 0f ." } else { print $0}}' > ${module}.hex
if [ "$?" != "0" ] ; then
exit 1
fi

if [ ! -e "${module}.bak" ] ; then
echo "Create backup ${module}.bak"
mv $module ${module}.bak || exit 1
fi

xxd -c 1 -r ${module}.hex ${module}
if [ "$?" != "0" ] ; then
cat ${module}.bak > ${module}
exit 1
fi

My cpufreq conf:

# cat /etc/default/cpufrequtils
GOVERNOR=ondemand
MIN_SPEED=799998
(This post was last modified: 2013-03-23 11:08 by stopdatrue.)
find quote
Post Reply